Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.rpc
Interface RpcTreeCacheMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, TreeCacheMBean

All Known Implementing Classes:
  RpcTreeCache

Deprecated. This class will be removed when JGroups adds a multiplexing capability.

    public interface RpcTreeCacheMBean

extends TreeCacheMBean

MBean interface for the `RpcTreeCache`.

Version:
  $Revision$
Author:
  Brian Stansberry

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`java.util.List` | `callRemoteMethods(java.lang.String serviceName, java.util.Vector mbrs, org.jgroups.blocks.MethodCall method_call, boolean synchronous, boolean exclude_self, long timeout)` Deprecated. Calls a remote method on nodes in the cluster, targeted at objects registered under a given `serviceName`.
`java.util.List` | `callRemoteMethods(java.lang.String serviceName, java.util.Vector members, java.lang.reflect.Method method, java.lang.Object[] args, boolean synchronous, boolean exclude_self, long timeout)` Deprecated. Calls a remote method on nodes in the cluster, targeted at objects registered under a given `serviceName`.
`java.util.List` | `callRemoteMethods(java.lang.String serviceName, java.util.Vector members, java.lang.String method_name, java.lang.Class[] types, java.lang.Object[] args, boolean synchronous, boolean exclude_self, long timeout)` Deprecated. Calls a remote method on nodes in the cluster, targeted at objects registered under a given `serviceName`.
`void` | `registerRPCHandler(java.lang.String serviceName, java.lang.Object handler)` Deprecated. Registers the given object as the on which any MethodCall associated with the given service should be invoked.
`void` | `unregisterRPCHandler(java.lang.String serviceName, java.lang.Object handler)` Deprecated. Removes the given object as a handler for RPC calls for the given service.

Methods inherited from interface org.jboss.cache.TreeCacheMBean
`_put, _put, _put, _put, _put, _remove, _remove, _remove, _remove, activateRegion, addTreeCacheListener, callRemoteMethods, callRemoteMethods, createService, destroyService, dumpTransactionTable, evict, exists, exists, exists, exists, fetchState, get, get, get, get, get, get, get, getBuddyReplicationConfig, getCacheLoader, getCacheLoaderAsynchronous, getCacheLoaderClass, getCacheLoaderConfig, getCacheLoaderConfiguration, getCacheLoaderFetchPersistentState, getCacheLoaderFetchTransientState, getCacheLoaderPassivation, getCacheLoaderPreload, getCacheLoaderShared, getCacheMode, getChildrenNames, getChildrenNames, getChildrenNames, getClusterName, getClusterProperties, getDeadlockDetection, getEvictionPolicyClass, getEvictionThreadWakeupIntervalSeconds, getFetchInMemoryState, getFetchStateOnStartup, getInitialStateRetrievalTimeout, getInstance, getInterceptorChain, getInterceptors, getIsolationLevel, getKeys, getKeys, getLocalAddress, getLockAcquisitionTimeout, getMembers, getMultiplexerService, getMultiplexerStack, getNodeLockingScheme, getNumberOfAttributes, getNumberOfLocksHeld, getNumberOfNodes, getPojoCacheConfig, getReplicationVersion, getReplQueueInterval, getReplQueueMaxElements, getStateTransferVersion, getSyncCommitPhase, getSyncReplTimeout, getSyncRollbackPhase, getTransactionManager, getTransactionManagerLookupClass, getUseInterceptorMbeans, getUseMarshalling, getUseRegionBasedMarshalling, getUseReplQueue, getVersion, inactivateRegion, isCoordinator, isInactiveOnStartup, isUsingEviction, load, print, print, printDetails, printLockInfo, purgeCacheLoaders, put, put, put, put, put, put, registerClassLoader, releaseAllLocks, releaseAllLocks, remove, remove, remove, remove, remove, remove, removeData, removeData, removeTreeCacheListener, setBuddyReplicationConfig, setCacheLoader, setCacheLoaderAsynchronous, setCacheLoaderClass, setCacheLoaderConfig, setCacheLoaderConfiguration, setCacheLoaderFetchPersistentState, setCacheLoaderFetchTransientState, setCacheLoaderPassivation, setCacheLoaderPreload, setCacheLoaderShared, setCacheMode, setClusterConfig, setClusterName, setClusterProperties, setDeadlockDetection, setEvictionPolicyClass, setEvictionPolicyConfig, setFetchInMemoryState, setFetchStateOnStartup, setInactiveOnStartup, setInitialStateRetrievalTimeout, setIsolationLevel, setLockAcquisitionTimeout, setMultiplexerService, setMultiplexerStack, setNodeLockingScheme, setPojoCacheConfig, setReplicationVersion, setReplQueueInterval, setReplQueueMaxElements, setStateTransferVersion, setSyncCommitPhase, setSyncReplTimeout, setSyncRollbackPhase, setTransactionManagerLookup, setTransactionManagerLookupClass, setUseMarshalling, setUseRegionBasedMarshalling, setUseReplQueue, startService, stopService, toString, unregisterClassLoader`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### callRemoteMethods

    java.util.List callRemoteMethods(java.lang.String serviceName,
                                     java.util.Vector members,
                                     java.lang.reflect.Method method,
                                     java.lang.Object[] args,
                                     boolean synchronous,
                                     boolean exclude_self,
                                     long timeout)
                                     throws java.lang.Exception

  Deprecated.
  Calls a remote method on nodes in the cluster, targeted at objects registered under a given `serviceName`.

  Parameters:
    `serviceName` - name of a callback handler that will have been registered on the remote end via `registerRPCHandler(String, Object)`.
    `members` - Vector, each of whose members is the Address of one the nodes in the cache's `member list`. If `null`, the method will be invoked on all members.
    `method` - method to execute
    `args` - method arguments
    `synchronous` - `true` if the call should block until all members respond (or timeout); `false` if the call should return immediately without waiting for responses
    `exclude_self` - should the call be invoked on the callee?
    `timeout` - how long to wait for synchronous responses
  Returns:
    List containing the responses that were received, or `null` if the call is asynchronous. Elements of the list will either be a returned value or an exception if one was returned. Any NoHandlerForRPCException returned will be removed.
  Throws:
    `java.lang.Exception`

### callRemoteMethods

    java.util.List callRemoteMethods(java.lang.String serviceName,
                                     java.util.Vector mbrs,
                                     org.jgroups.blocks.MethodCall method_call,
                                     boolean synchronous,
                                     boolean exclude_self,
                                     long timeout)
                                     throws java.lang.Exception

  Deprecated.
  Calls a remote method on nodes in the cluster, targeted at objects registered under a given `serviceName`.

  If the cache's `cache mode` is `TreeCache.LOCAL` and parameter `exclude_self` is `false` this request will be made directly to `#_dispatchRpcCall()`.

  Parameters:
    `serviceName` - name of a callback handler that will have been registered on the remote end via `registerRPCHandler(String, Object)`.
    `members` - Vector, each of whose members is the Address of one the nodes in the cache's `member list`. If `null`, the method will be invoked on all members.
    `method_call` - method call to execute
    `synchronous` - `true` if the call should block until all members respond (or timeout); `false` if the call should return immediately without waiting for responses
    `exclude_self` - should the call be invoked on the callee?
    `timeout` - how long to wait for synchronous responses
  Returns:
    List containing the responses that were received, or `null` if the call is asynchronous. Elements of the list will either be a returned value or an exception if one was returned. Any NoHandlerForRPCException returned will be removed.
  Throws:
    `java.lang.Exception`

### callRemoteMethods

    java.util.List callRemoteMethods(java.lang.String serviceName,
                                     java.util.Vector members,
                                     java.lang.String method_name,
                                     java.lang.Class[] types,
                                     java.lang.Object[] args,
                                     boolean synchronous,
                                     boolean exclude_self,
                                     long timeout)
                                     throws java.lang.Exception

  Deprecated.
  Calls a remote method on nodes in the cluster, targeted at objects registered under a given `serviceName`.

  Parameters:
    `serviceName` - name of a callback handler that will have been registered on the remote end via `registerRPCHandler(String, Object)`.
    `members` - Vector, each of whose members is the Address of one the nodes in the cache's `member list`. If `null`, the method will be invoked on all members.
    `method_name` - name of the method to execute
    `args` - method arguments
    `synchronous` - `true` if the call should block until all members respond (or timeout); `false` if the call should return immediately without waiting for responses
    `exclude_self` - should the call be invoked on the callee?
    `timeout` - how long to wait for synchronous responses
  Returns:
    List containing the responses that were received, or `null` if the call is asynchronous. Elements of the list will either be a returned value or an exception if one was returned. Any NoHandlerForRPCException returned will be removed.
  Throws:
    `NoHandlerForRPCException` - if no handler is registered on this node under `serviceName`.
    `java.lang.Exception`

### registerRPCHandler

    void registerRPCHandler(java.lang.String serviceName,
                            java.lang.Object handler)

  Deprecated.
  Registers the given object as the on which any MethodCall associated with the given service should be invoked.

  Parameters:
    `serviceName` - name of a service that will be receiving RPC calls
    `handler` - object on which RPC calls for `serviceName` can be invoked.
  See Also:
    `#_dispatchRpcCall`

### unregisterRPCHandler

    void unregisterRPCHandler(java.lang.String serviceName,
                              java.lang.Object handler)

  Deprecated.
  Removes the given object as a handler for RPC calls for the given service.

  Parameters:
    `serviceName` - name of a service that will be receiving RPC calls
    `handler` - object that was previously passed to `registerRPCHandler(String, Object)` for `serviceName`.
    `handler` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.